import { isEmpty } from '@/utils/index'

const filters = {
  // 金钱显示，保留两位小数
  money(num) {
    return filters.fix2(num);
  },
  // 缺省值
  defaultValue(data) {
    return isEmpty(data) ? '--' : data;
  },
  fix2(num) {
    if (num == null) {
      return num;
    }
    return num.toFixed(2);
  },
  fix10(num) {
    if (num == null) {
      return num;
    }
    return num.toFixed(10);
  },
  dv(data) {
    return filters.defaultValue(data);
  }
}
export default (vm) => {
  Object.keys(filters).forEach(key => {
    vm.filter(key, filters[key])
  })
}
